// Hilfsklasse
class A {

    int a;

    A(int a) {
	this.a = a;
    } 
}


// Klasse demonstriert call by value - call by reference. 
public class DemoCall {

    // Addiert zum uebergebenen Parameter den Wert 2.
    static void modify(int a) {
	a = a + 2;
    }

    // Addiert zum ersten Element des uebergebenen Arrrays den Wert 2.
    static void modify(int[] arr) {
	arr[0] = arr[0] + 2;
    }

    // Addiert zum Attribut a des uebergebenen Objekts den Wert 2.
    static void modify(A ref) {
	ref.a = ref.a + 2;
    }


   public static void main(String[] args) {
       int val = 2;            // primitiver Datentyp
       int[] arr = {2};        // Array (Referenzdatentyp)
       A ref = new A(2);       // Referenzdatentyp

       // Ausgabe der Werte vor Modifikation
       System.out.println("Vorher:");
       System.out.println("val    = " + val);
       System.out.println("arr[0] = " + arr[0]);
       System.out.println("ref.a  = " + ref.a);

       // Modifikation
       modify(val);            // call by value
       modify(arr);            // call by reference
       modify(ref);            // call by reference

       // Ausgabe der Werte nach Modifikation
       System.out.println();
       System.out.println("Nachher:");
       System.out.println("val    = " + val);     
       System.out.println("arr[0] = " + arr[0]);  
       System.out.println("ref.a  = " + ref.a);
       
    }

}
