
// Klasse zum Testen von 2D Arrays.
class DemoMatrix {

   public static void main(String[] args) {

       /*** Teil 1 *********************************************************/
       // Deklaration und Initialisierung der Punktetabelle
       int[][] punkte = {
	   {9, 8, 7, 4},
	   {7, 9, 9, 3},
	   {2, 4, 7, 8},
	   {4, 4, 6, 7},
	   {1, 9, 2, 8}
       };

       
       // Alternativ
       int[][] punkte2 = new int[5][4];
       punkte2[0][0] = 9;
       punkte2[0][1] = 8;
       // usw


       // Ausgabe der Werte von punkte auf der Konsole
       for(int i = 0; i < punkte.length; i++) {
	   for(int j = 0; j < punkte[i].length; j++) {
	       System.out.print(punkte[i][j] + " ");
	   }
	   System.out.println();
       }

       System.out.println("=======================================");
       System.out.println();

       /*** Teil 2 *********************************************************/

       // Ausgabe von ausgewhlten Elementen
       System.out.println("Punkte von Student 3 in Blatt 2 = " + punkte[3][2]);
       System.out.println("Punkte von Student 3 in Blatt 2 = " + punkte[1][3]);
       System.out.println("Punkte von Student 3 in Blatt 2 = " + punkte[0][1]);

       // Erzeugung eines Matrix-Objekts
       Matrix matrix = new Matrix(punkte);
       
       // Aendern eines Elements
       matrix.setValue(4, 0, 5);
       System.out.println("Korrigierter Wert = " + matrix.getValue(4, 0)); 

       // Maximumsbestimmung
       int max = matrix.max();
       System.out.println("Beste Punktzahl = " + max);

       // Anzahl der Loesungen mit 4 Punkten
       System.out.println("#(Loesungen) mit 4 Punkten = " + matrix.count(4));

       // Ausgabe der Matrix
       System.out.println(matrix.toString());
    }

}
