// Klasse testet Tarifrechner
public class DemoStrom {

    public static void main(String[] args) {

	// Tarife
	EPrimo eprimo = new EPrimo(500.0);
	Nuon nuon = new Nuon(529.0);
	Vattenfall vfall = new Vattenfall(499.0);
	// Tarifrechner
	TarifRechner tr = new TarifRechner(eprimo, nuon, vfall);
	
	// Einlesen des monatlichen Verbrauchs von der Kommandozeile
	double verbrauch = Double.parseDouble(args[0]); 

	// Ermittlung des konstenguenstigten Tarifs
	double bestTarif = tr.getBestTarif(verbrauch);

	// Ausgabe
	System.out.println("Bester Tarif bei einem Verbrauch von " +
			   verbrauch + " kwh:");
	System.out.println("Tarif   : " + bestTarif + " Cent");
    }
}
