// Klasse testet Tarifrechner
public class DemoStrom {

    public static void main(String[] args) {

	// Tarife
	Tarif[] tarife = {
	    new EPrimo(500.0),
	    new Nuon(529.0),
	    new Vattenfall(499.0)
	};
	// Tarifrechner
	TarifRechner tr = new TarifRechner(tarife);
	
	// Einlesen des monatlichen Verbrauchs von der Kommandozeile
	double verbrauch = Double.parseDouble(args[0]); 

	// Ermittlung des konstenguenstigten Tarifs
	Tarif bestTarif = tr.getBestTarif(verbrauch);

	// Ausgabe
	System.out.println("Bester Tarif bei einem Verbrauch von " +
			   verbrauch + " kwh:");
	System.out.println("Anbieter: " + bestTarif.toString());
	System.out.println("Tarif   : " + bestTarif.berechne(verbrauch) + 
			   " Cent");
    }
}
