
/* Diese Klasse zeichnet Figuren.
 */
class DemoDrawFigure {

    public static void main( String[] args ) { 
	Circle[] c = new Circle[5];
	c[0] = new Circle(200, 200, 100, "blue");
	c[1] = new Circle(280, 200, 100, "black");
	c[2] = new Circle(360, 200, 100, "red");
	c[3] = new Circle(240, 280, 100, "yellow");
	c[4] = new Circle(320, 280, 100, "green");
	Figure olympia = new Figure("Olympia", c);
	DrawCircle.draw(olympia);
	printFigure(olympia);
    } 

    /* Diese Methode gibt Informationen ueber die spezifizierten Figur auf 
     * der Konsole aus.
     *
     * Parameter:
     *    - Figure fig - eine Figur
     */
    public static void printFigure(Figure fig) {
	System.out.println("Name der Figur: " + fig.name);
	System.out.println();
	Circle[] c = fig.circles;
	for(int i = 0; i < c.length; i++) {
	    System.out.println("Kreis " + i + ":");
	    System.out.println("Mittelpunkt: (" + c[i].x + ", " + c[i].y + ")");
	    System.out.println("Radius     : "  + c[i].radius);
	    System.out.println("Farbe      : "  + c[i].color);
	    System.out.println("Ausgefuellt: "  + c[i].filled);
	    System.out.println();
	}
    } 
}
